Subject: RE: CD-based distribution (was Another website....)
From: [email-masked] (Charles G Waldman)

14 Aug 1998 22:01:53 -0700
Message-ID: <13780.8418.467018.819080.cygnus.gnu-win32@sirius>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

[email-masked] writes:
 > Here's a summary of what seems to be the state of play, opinion-wise, with
 > this at the moment.
 > 
 > 'BLUE SOCKS' GNU-WIN32 DISTRIBUTION:
 > 
<snip>

 > o Xwindows software, eg xterm, to be installed by default (make this easily 
 > removable/optional?).

This should be optional.  If you don't have an X-Server, xterm et al
will be useless.  And there's not a good free X-Server we can
distribute with the 'Blue Socks' distribution.

 > o I suggest that the following (plus others) are included on the list of 
 > 'developer' packages:
 >     Xemacs, Fortran compiler, Pascal compiler, Perl, Tcl/Tk, Graphics libraries 
 > - such as PNG, etc,
 >     Expect(?). Networking tools (sendmail?).

Since Perl, Tcl/Tk, XEmacs (as of version 21, to be released RSN) and
the PNG libraries have already been ported to Win32 - as native Win32
programs, that is, not on top of Cygnus - having a second Cygnus
version of these installed is a bit of a pain.  Personally, if I'm
going to do Tcl/Tk development on Windows,  I'll do it in native mode, 
so that when I distribute my programs to Windows users there won't be
any surprises.

Does Cygwin really need its own copies of all the Tcl/Tk stuff, if the 
native-mode versions are already installed on the host PC?

 > o GIMP v1.0 anyone?

That's a fabulous idea.

 > o Available in binary and source forms: NETPBM/PBMplus, GhostScript/Ghostview, 
 > XPaint,
 >     Apache web server, ....

Again, Ghostscript already compiles natively on Win32.  What's the
advantage of having a Cygnus version?

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".